curl --request GET \
--url https://api.kameleoon.com/templates/{templateId} \
--header 'Authorization: Bearer <token>'{
"siteId": 123,
"config": "<string>",
"cssCode": "<string>",
"dateActivated": "2023-11-07T05:31:56Z",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"description": "<string>",
"htmlCode": "<string>",
"id": 123,
"isCustomTemplate": true,
"name": "<string>",
"status": "DRAFT",
"tags": [
"<string>"
],
"templateCssCode": "<string>",
"templateHtmlCode": "<string>",
"templateJavaScriptCode": "<string>",
"themeId": 123,
"type": "TEMPLATE",
"url": "<string>",
"useCustomData": true,
"widgetEditorTemplate": "<string>"
}Get the template belonging to this Id. To use optionalFields check out this guide.
curl --request GET \
--url https://api.kameleoon.com/templates/{templateId} \
--header 'Authorization: Bearer <token>'{
"siteId": 123,
"config": "<string>",
"cssCode": "<string>",
"dateActivated": "2023-11-07T05:31:56Z",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"description": "<string>",
"htmlCode": "<string>",
"id": 123,
"isCustomTemplate": true,
"name": "<string>",
"status": "DRAFT",
"tags": [
"<string>"
],
"templateCssCode": "<string>",
"templateHtmlCode": "<string>",
"templateJavaScriptCode": "<string>",
"themeId": 123,
"type": "TEMPLATE",
"url": "<string>",
"useCustomData": true,
"widgetEditorTemplate": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
OK
Web Id of the studio template.
Widget editor configuration field linked to the translation locales field in JSON format.
CSS that belongs to this template.
Date when the widget was activated.
Date when this widget was created
Date when this widget was modified
Description of the template.
UI text that belongs to this template.
Unique Id of the template
Indicates if this is a custom template.
Name of the template.
Template status.
DRAFT, ACTIVE, PAUSED Tags that belong to this template.
Tags that belong to this template.
CSS code that belongs to this template.
HTML code that belongs to this template.
JavaScript code that belongs to this template.
Id of the theme linked to the widget.
Type of template.
TEMPLATE, EDITOR Url associated with this template.
Indicates if custom data is being used.
Widget editor code that belongs to this template.
Was this page helpful?